Differences

This shows you the differences between two versions of the page.

Link to this comparison view

doc:linux-packages:ubuntu-18 [2019/01/03 11:54] (current)
Line 1: Line 1:
 +====== Packages - Ubuntu 18.04 LTS ======
  
 +<​note>​
 +Most packages are available inside Ubuntu distribution and can be installed just with ''​apt-get''​. Some of them are already installed in the basic **Ubuntu** installation process. Some of them aren't and shall be installed with ''​pip3''​.
 +</​note>​
 +
 +<code bash|Base Packages>​
 +# Required
 +apt-get -y install git
 +apt-get -y install gcc g++
 +apt-get -y install cmake cmake-data ​
 +apt-get -y install cmake-curses-gui cmake-extras extra-cmake-modules
 +apt-get -y install swig
 +apt-get -y install pkg-config
 +# Optional
 +#  to create doxygen documentation
 +apt-get -y install doxygen doxygen-latex inkscape
 +apt-get -y install doxygen-doc graphviz
 +#
 +# libraries
 +apt-get -y install libfreetype6 libfreetype6-dev
 +# image manipulation
 +apt-get -y install libjpeg-turbo8-dev
 +apt-get -y install libtiff5-dev
 +# to get an image from an URL
 +apt-get -y install libcurl4-openssl-dev
 +#
 +# Recommended to be able to use OpemMPI
 +apt-get -y install openmpi-bin openmpi-common openmpi-doc libopenmpi-dev
 +#
 +# Recommended
 +#  CLI tools to manipulate and get information about image files
 +apt-get -y install pngtools
 +apt-get -y install libtiff-tools
 +#
 +# Option - pour les AddOns
 +# * AddOn FFT
 +apt-get -y install libfftw3-dev libfftw3-double3
 +# * AddOn VTK
 +apt-get -y install libvtk6-dev
 +</​code>​
 +
 +
 +
 +
 +<code bash|Qt 5>
 +# With ccmake, set the value USE_QT_VERSION => 5
 +apt-get -y install qt5-qmake
 +apt-get -y install qtbase5-dev
 +</​code>​
 +
 +<code bash|Qt 4>
 +# With ccmake, set the value USE_QT_VERSION => 4
 +apt-get -y install qt4-qmake
 +apt-get -y install qt4-dev-tools
 +apt-get -y install qt4-default
 +</​code>​
 +
 +<code bash|Python 2.x>
 +# Required
 +apt-get -y install python python-dev
 +# Recommended
 +apt-get -y install ipython
 +apt-get -y install python-numpy python-numpy-doc
 +# Recommended to be able to manipulate 3d images
 +apt-get -y install python-libtiff
 +# Option, if AddOn VTK is enabled
 +apt-get -y install python-vtk6
 +</​code>​
 +
 +<code bash|Python 3.x>
 +# Required
 +apt-get -y install python3 python3-dev
 +# Recommended
 +apt-get -y install ipython3
 +apt-get -y install python3-numpy python3-numpy-dev python-numpy-doc
 +# Recommended to be able to manipulate 3d images
 +apt-get -y install python3-pip
 +pip3 install libtiff
 +# Option, if AddOn VTK is enabled
 +pip3 install vtk
 +</​code>​
doc/linux-packages/ubuntu-18.txt ยท Last modified: 2019/01/03 11:54 (external edit)
CC Attribution-Share Alike 4.0 International
Driven by DokuWiki Recent changes RSS feed Valid CSS Valid XHTML 1.0